"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const runtimeCore_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const reactivity_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const _hoisted_1 = { class: "go-border-box" };
const _hoisted_2 = ["width", "height"];
const _hoisted_3 = ["fill", "points"];
const _hoisted_4 = ["stroke", "points"];
const _hoisted_5 = ["stroke", "points"];
const _hoisted_6 = ["stroke", "points"];
const _hoisted_7 = ["stroke", "points"];
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "index",
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const { w, h } = reactivity_esmBundler.toRefs(props.chartConfig.attr);
    const { colors, backgroundColor } = reactivity_esmBundler.toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock("div", _hoisted_1, [
        (runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock("svg", {
          class: "bv-border-svg-container",
          width: reactivity_esmBundler.unref(w),
          height: reactivity_esmBundler.unref(h)
        }, [
          runtimeCore_esmBundler.createElementVNode("polygon", {
            fill: reactivity_esmBundler.unref(backgroundColor),
            points: `
        23, 23 ${reactivity_esmBundler.unref(w) - 24}, 23 ${reactivity_esmBundler.unref(w) - 24}, ${reactivity_esmBundler.unref(h) - 24} 23, ${reactivity_esmBundler.unref(h) - 24}
      `
          }, null, 8, _hoisted_3),
          runtimeCore_esmBundler.createElementVNode("polyline", {
            class: "go-border-line-1",
            stroke: reactivity_esmBundler.unref(colors)[0],
            points: `4, 4 ${reactivity_esmBundler.unref(w) - 22} ,4 ${reactivity_esmBundler.unref(w) - 22}, ${reactivity_esmBundler.unref(h) - 22} 4, ${reactivity_esmBundler.unref(h) - 22} 4, 4`
          }, null, 8, _hoisted_4),
          runtimeCore_esmBundler.createElementVNode("polyline", {
            class: "go-border-line-3",
            stroke: reactivity_esmBundler.unref(colors)[1],
            points: `10, 10 ${reactivity_esmBundler.unref(w) - 16}, 10 ${reactivity_esmBundler.unref(w) - 16}, ${reactivity_esmBundler.unref(h) - 16} 10, ${reactivity_esmBundler.unref(h) - 16} 10, 10`
          }, null, 8, _hoisted_5),
          runtimeCore_esmBundler.createElementVNode("polyline", {
            class: "go-border-line-3",
            stroke: reactivity_esmBundler.unref(colors)[1],
            points: `16, 16 ${reactivity_esmBundler.unref(w) - 10}, 16 ${reactivity_esmBundler.unref(w) - 10}, ${reactivity_esmBundler.unref(h) - 10} 16, ${reactivity_esmBundler.unref(h) - 10} 16, 16`
          }, null, 8, _hoisted_6),
          runtimeCore_esmBundler.createElementVNode("polyline", {
            class: "go-border-line-3",
            stroke: reactivity_esmBundler.unref(colors)[1],
            points: `22, 22 ${reactivity_esmBundler.unref(w) - 4}, 22 ${reactivity_esmBundler.unref(w) - 4}, ${reactivity_esmBundler.unref(h) - 4} 22, ${reactivity_esmBundler.unref(h) - 4} 22, 22`
          }, null, 8, _hoisted_7)
        ], 8, _hoisted_2))
      ]);
    };
  }
});
exports.default = _sfc_main;
